Skip to content

List Security Groups

GET
/security_groups/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/security_groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

List of security groups

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
location
string
is_ssh_security_group
boolean
is_active
boolean
created_by
object
id
integer
name
string
email
string
username
string
attached_services
object
notebook
Array
inference_service
Array
distributed_job
Array
is_ssh_port_enabled
boolean
inbound_rules_count
integer
outbound_rules_count
integer
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 200,
"data": [
{
"id": 17258,
"name": "tir-sg-260115154544",
"description": "",
"location": "Delhi",
"is_ssh_security_group": false,
"is_active": true,
"created_by": {
"id": 9266,
"name": "Sahil Verma",
"email": "sahil+new@e2enetworks.com",
"username": "sahil+new@e2enetworks.com"
},
"is_ssh_port_enabled": false,
"inbound_rules_count": 1,
"outbound_rules_count": 1,
"created_at": "2026-01-15T10:19:10.925925Z",
"updated_at": "2026-01-15T10:19:10.925942Z"
}
],
"errors": {},
"message": "Success",
"total_page_number": 1,
"total_count": 1
}